# Register a client and create their payment account (only for a standalone solution)

After using the method for [seamless authorization](/api-documentation/seamless-authorization-only-for-a-standalone-solution.md) and getting a URL that includes the token for accessing the B2COPY Web UI, register a client in a standalone B2COPY solution as follows:

1. Initialize the wizard using the following method:

<mark style="color:green;">`GET`</mark> `[host]/api/v1/standalone/auth/init`

2. Register the client using the following method:

<mark style="color:blue;">`POST`</mark> `[host]/api/v1/wizards/{uuid}`

Upon registration in a standalone solution, a payment account is created for the client.

## **Step 1.** Initialize the wizard

Use the method:

<mark style="color:green;">`GET`</mark> `[host]/api/v1/standalone/auth/init`

### **Request**

```sh
curl --location --request GET 'https://host.name/api/v1/standalone/auth/init'
```

### **Response**

The response includes the universally unique identifier (UUID) that is required for the next step.

**Response example**

```json
{
  "status": 200,
  "meta": {
      "behaviours": [],
      "status": 200
  },
  "data": {
       "uuid": "92fae932-4cff-4d5f-9af9-a8bd71d1acc2",
       "type": "form",
       "workflow": "side_login",
       "status": 0,
       "done": false,
       "canceled": false,
       "rules": {}
  }
}
```

## **Step 2.** Register the client and create their payment account

Use the method:

<mark style="color:blue;">`POST`</mark> `[host]/api/v1/wizards/{uuid}`

### Request

**Path Parameters**

<table><thead><tr><th width="107">Name</th><th width="100">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>uuid</code></td><td>Yes</td><td>The universally unique identifier (UUID) obtained at Step 1.</td></tr></tbody></table>

**Body Parameters**

<table><thead><tr><th>Name</th><th width="81">Type</th><th width="105">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>side_login</code></td><td>string</td><td>Yes</td><td>The MT login (number) of a client account.</td></tr><tr><td><code>token</code></td><td>string</td><td>Yes</td><td>The token obtained after using the method for <a href="/pages/0tBCK0yg3TvcfyOeQYOX">seamless authorization</a>.</td></tr><tr><td><code>investment_platform_id</code></td><td>string</td><td>Yes</td><td><p>The identifier of the investment platform instance.</p><ul><li>If only one MT server is connected to your B2COPY investment platform, specify 1.</li><li>If you have more than one MT server connected to your B2COPY investment platform, contact the Support team for assistance.</li></ul></td></tr><tr><td><code>device_fingerprint</code></td><td>string</td><td>Yes</td><td>The string that uniquely identifies a client device.</td></tr></tbody></table>

**Request example**

```sh
curl --location --request POST 'https://host.name/api/v1/wizards/92fae932-4cff-4d5f-4d5f-9af9-a8bd71d1acc2' \
--data-raw '{
  "side_login": "2121882153",
  "token": "8c3d46c32fff792caf33b9dee1694f1e",
  "investment_platform_id": "1",
  "device_fingerprint": "eyJjYW52YXNfY29kZSI6ImRhdGE6aW1hZ2UvcG5nO2Jhc2U2NCxpVkJPUncwS0dnb0FBQUFOU1VoRVVnQUFBUEFBQUFDTUNBWUFBQUJDdFNRb0FBQUFBWE5TUjBJQXJzNGM2UUFBSUFCSlJFRlVlRjd0blFtY0ZOVzEvNzkzRnNBQkFRVlpGRUZCaUNZcVNoSTB4RDBtN2x1TW1oZVg0QVpHbjJSNU1lYk"
}'
```

### **Response**

The response includes the object providing information about the client registered in a standalone B2COPY solution, including the client ID, as well as information about the payment account created for that client on the platform.

After registering and obtaining the client ID, you can create master and investment accounts for that client (for details, refer to [Create a master or investment account using the existing MT account](/api-documentation/create-a-master-or-investment-account-using-the-existing-mt-account.md)).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2copy.b2broker.com/api-documentation/register-a-client-and-create-their-payment-account-only-for-a-standalone-solution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
